#include "sattrack.h"
#include "xtrack_basefunc.h"
#include <string.h>

SAT *Create_Sat(SAT **sat)
{
  SAT *satnw;
  satnw=calloc(1,sizeof(SAT));
  if (*sat)
  {
    while ((*sat)->next) (*sat)=(*sat)->next;
    (*sat)->next=satnw;
    satnw->prev=*sat;
  }
  else
  {
    *sat=satnw;
  }
  return satnw;
}

SAT *Remove_Sat(SAT *sat)
{
  SAT *sat_first=NULL;
  if (!sat) return NULL;
  for (sat_first=sat; ((sat_first) && (sat_first->prev)); sat_first=sat_first->prev);
  if (sat_first==sat) sat_first=sat_first->next;
  if (sat->prev) sat->prev->next=sat->next;
  if (sat->next) sat->next->prev=sat->prev;
  free(sat);
  return sat_first;
}
SAT *Find_Sat(SAT *sat,char *satname)
{
  for (; sat; sat=sat->next)
    if (!strcmp(sat->satname,satname))
      return sat;
  return NULL;
}

SAT *find_sat(SAT *sat,char *name)
{
  for (; sat; sat=sat->next)
  {
    if ((sat->satname) && (!strcmp(sat->satname,name))) break;
  }
  return sat;
}
