/* Callbacks */
void key_actions(GtkWidget *, GdkEventKey *);
void mouse_actions(GtkWidget *, GdkEventMotion *);
void buttons_callback(GtkWidget *, gpointer );
void menu_callback(GtkWidget *, gpointer );
void time_callback(GtkWidget *, gpointer );
gint configure_event_main(GtkWidget *,GdkEventConfigure *);

void show_predict(GtkWidget *,SAT *,gboolean,struct tm ,struct tm );
void Create_predict_wnd(GtkWidget *);

void Update_Main(GtkWidget *);
void Update_Main_Wait(GtkWidget *);

/**/
SAT *nearest(SAT *,int,int);
SAT *get_next_sat(SAT *,struct tm *);
void select_this_sat(SAT *);
void draw_onepos(struct tm cur_tm,GtkWidget *wnd,SAT *sat,EPOINT pos_sat,EPOINT pos_earth);
void draw_onepos_all(GtkWidget *);
void calc_onepos(SAT *,struct tm ,int,EPOINT *,EPOINT *,EPOINT *);
void calc_x2satobs(KEPLER *,ORBIT *,EPOINT *,EPOINT *,int ,float ,int );
void report_nextpass(GtkWidget *,SAT *);
int calcpossat(struct tm *,int,KEPLER *,ORBIT *,EPOINT *);
void calc_satpos(struct tm cur_tm,EPOINT *pos_subsat,DIRECTION *satdir,EPOINT *refpos,SAT *sat,gboolean);

void calc_satobs(KEPLER *,ORBIT *,EPOINT *,EPOINT *,float );
char *tmstrsh();
int strcmpwild(char *,char *);

void draw_mark(GtkWidget *,EPOINT ,char , char *);
void draw_track(GtkWidget *,SAT *,struct tm ,struct tm );
void calcdraw_sensor(struct tm ,GtkWidget *,SAT *);

void calcposearth();
void calcposrel();
int read_norad_next_keps();
int calc_orbitconst();
void pri_startstop();
char *tmstrshx(struct tm *,char *);
void alloc_err();
void init_db(DBASE *,char);
int get_satkeps();
void pri_norad();
char *timestr();
void clear_wnd(GtkWidget *);
void refresh_wnd(GtkWidget *);
void select_sat(GtkWidget *);
SAT *read_msat(FILE *,char *,SAT *);
void add_to_db();
void ld_clr(GdkColor *,int ,int ,int ,int );
struct tm local2gmt(struct tm *);
void Get_Kepler(GtkWidget *wnd);
void generate_txt(TRACK *track,SAT *sat);
struct tm mom_tm();

void draw_rast(GtkWidget *,gboolean);
void draw_ref(GtkWidget *,float ,float ,gboolean);
void draw_sat(GtkWidget *,SAT *,float ,float ,gboolean);
void draw_sensor(GtkWidget *,SAT *sat,EPOINT *,EPOINT *,gboolean);
void draw_sattrack(GtkWidget *wnd,EPOINT p1,EPOINT p2,gboolean rgbm,int p);
void draw_vis(GtkWidget *,SAT *,EPOINT *,gboolean);
void draw_back(GtkWidget *);
void redraw(GtkWidget *,struct tm cur_tm);
void Create_kepleredt_wnd(GtkWidget *);
void select_sat_func(GtkWidget *, gpointer );
int Remove_Widget(GtkWidget *, char *);
void update_satbut(GtkWidget *,char *,SAT *);
SAT *Create_Sat (SAT **);
SAT *find_sat(SAT *,char *);
gboolean predict(SAT *,struct tm *,struct tm *,TRACK *,EPOINT *,float,float);
int read_norad_next_keps(FILE *,char *,KEPLER *);
int calc_orbitconst(KEPLER *,ORBIT *);
gint32 mktime_ntz(struct tm *);

void ps_hdr(FILE *);
void ps_ldr(FILE *);
void setfont(FILE *,int );
void draw_rect(FILE *,int ,int ,int ,int ,int ,gboolean );
void draw_text(FILE *,int ,int ,char *,...);
int titel(FILE *,DBASE *,int );
void ps_rast(FILE *,int ,int ,int );

void generate_ps(TRACK *,SAT *);
char *dbl_prct(char *);
int exist_file(char *);
int search_file(char *,char *,char *,char *,char *);

int RS232_Open_Close(int doe_open,int portnr,int speed);
